---
title: llarp::LinksConfig

---

# llarp::LinksConfig





## Public Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[LinkInfo](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| [LinkInfo](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md) | **[LinkInfoFromINIValues](Classes/structllarp_1_1LinksConfig.md#function-linkinfofrominivalues)**(std::string_view name, std::string_view value)<br>Create a [LinkInfo]() from the given string.  |
| void | **[defineConfigOptions](Classes/structllarp_1_1LinksConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [LinkInfo](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md) | **[m_OutboundLink](Classes/structllarp_1_1LinksConfig.md#variable-m-outboundlink)**  |
| std::vector< [LinkInfo](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md) > | **[m_InboundLinks](Classes/structllarp_1_1LinksConfig.md#variable-m-inboundlinks)**  |

## Public Functions Documentation

### function LinkInfoFromINIValues

```cpp
LinkInfo LinkInfoFromINIValues(
    std::string_view name,
    std::string_view value
)
```

Create a [LinkInfo]() from the given string. 

**Exceptions**: 

  * **if** str does not represent a [LinkInfo](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md). 


### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable m_OutboundLink

```cpp
LinkInfo m_OutboundLink;
```


### variable m_InboundLinks

```cpp
std::vector< LinkInfo > m_InboundLinks;
```


-------------------------------

Updated on 2022-04-18 at 19:54:43 +0000